%define ver      1.9.5
%define rel      alt1

Summary: Graphics file browser utility
Name: gliv
Version: %ver
Release: %rel
License: GPL
Group: Graphics
Url: http://guichaz.free.fr/gliv
Source: %url/%name-%ver.tar.bz2
Source1: %name-1.9.5-ru.po
Patch: %name-1.9.5-alt-config.patch

Requires: libgtk+2 >= 2.6
Requires: libgtkglext >= 0.7.0

# Automatically added by buildreq on Fri Apr 22 2005
BuildRequires: fontconfig freetype2 glib2-devel libatk-devel libgtk+2-devel libgtkglext-devel libpango-devel pkgconfig xorg-x11-devel

%description
GLiv is an OpenGL image viewer, image loading is done via Gdk-pixbuf bundled
with GTK+-2.4, rendering  with OpenGL and the graphical user interface uses
GTK+ with GtkGLExt.  GLiv  is  very  fast  and smooth at rotating, panning  and
zooming  if  you have an OpenGL accelerated graphics board.

%prep
%setup -q
%patch -p1
%__install -pm644 %SOURCE1 po/ru.po
%__rm -f po/ru.gmo

%build
libtoolize --copy --force
aclocal
autoheader
autoconf
automake
%configure
%make_build

%install
%makeinstall

%__install -d %buildroot%_datadir/pixmaps
%__install -d %buildroot%_datadir/applications
%__install -m 644 %name.png %buildroot%_datadir/pixmaps/%name.png
%__install -m 644 %name.svg %buildroot%_datadir/pixmaps/%name.svg
%__install -m 644 %name.desktop %buildroot%_datadir/applications/%name.desktop

%find_lang --with-man --output=%name.lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc README COPYING NEWS THANKS
%_bindir/%name
%_datadir/pixmaps/*
%_datadir/applications/*

%changelog
* Wed Mar 29 2006 LAKostis <lakostis at altlinux.org> 1.9.5-alt1
- 1.9.5;
- update buildreq (bump gtk+2 version);
- update russian translation (by Alexei V. Mezin);
- fix build with --as-needed ld option.

* Mon Feb 13 2006 LAKostis <lakostis at altlinux.org> 1.9.4-alt1.1
- update Buildreqires.

* Sun Jan 08 2006 LAKostis <lakostis at altlinux.org> 1.9.4-alt1
- 1.9.4.
- don't generate old menu entries.

* Sat Aug 13 2005 LAKostis <lakostis at altlinux.org> 1.9.3-alt1
- 1.9.3.

* Fri Apr 22 2005 LAKostis <lakostis at altlinux.org> 1.9.2-alt1
- 1.9.2.
- update Buildreqires.
- update man pages.

* Fri Jan 15 2005 LAKostis <lakostis at altlinux.org> 1.9.1-alt0.1
- 1.9.1.
- reformat description.

* Mon Oct 04 2004 LAKostis <lakostis at altlinux.org> 1.8.4-alt1.2
- #5276 (fix Requires).

* Sat Sep 25 2004 LAKostis <lakostis at altlinux.org> 1.8.4-alt1.1
- #5233
- update translation.

* Sat Sep 11 2004 LAKostis <lakostis at altlinux.org> 1.8.4-alt1
- initial build for Sisyphus.
